FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::RecordTypeStorage Struct Reference

Derived type storage. More...

Inheritance diagram for fir::detail::RecordTypeStorage:

## Public Types
using | KeyTy = llvm::StringRef

## Public Member Functions
bool | operator== (const KeyTy &key) const
llvm::StringRef | getName () const
void | setLenParamList (llvm::ArrayRef< RecordType::TypePair > list)
llvm::ArrayRef< RecordType::TypePair > | getLenParamList () const
void | setTypeList (llvm::ArrayRef< RecordType::TypePair > list)
llvm::ArrayRef< RecordType::TypePair > | getTypeList () const
void | finalize (llvm::ArrayRef< RecordType::TypePair > lenParamList, llvm::ArrayRef< RecordType::TypePair > typeList)

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static RecordTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, const KeyTy &key)

## Protected Attributes
std::string | name
bool | finalized
std::vector< RecordType::TypePair > | lens
std::vector< RecordType::TypePair > | types

## Detailed Description

Derived type storage.

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp